Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Returns how many incidents are in each status.
Required permission: alerts:read
alerts:read
cURL
curl --request GET \ --url https://api.igrisecurity.com/api/v1/incidents/count \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.igrisecurity.com/api/v1/incidents/count', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.igrisecurity.com/api/v1/incidents/count" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "data": { "open": 3, "investigating": 1, "resolved": 20 } }
{ "error": "Unauthorized" }
{ "error": "Forbidden", "required": "policies:write" }
An Igris API key. It acts with the current role and permission overrides of the member who created it.
Counts by status.
Show child attributes